#include<bits/stdc++.h>
#include<stdio.h>

using namespace std;

main(){
	int n,l,i,j,b=0;
	
	cin>>n>>l;
	
	int a[n];
	
	for(i=1;i<=n;i++)
	{
		cin>>a[i];
	}
	
		for(i=1;i<=n;i++)
	{
		if(a[i]>=l)
		{ 
         b++;
             }
         else
         {
             b=-1;
             break;
             }
	}
	if(b>0)
	cout<<b;
	else
	cout<<b;
	
}